INSTALL-XPI(1)

NAME
install-xpi - installs a xpi file into a Debian package

SYNOPSIS
install-xpi [options] xpi-file

DESCRIPTION
install-xpi is a helper tool for packaging XUL extensions. It installs the given xpi file into the correct directory and creates the required links based on the data in the install.rdf file. It corrects the file permissions unless --preserve-permissions is specified. install-xpi will create a configuration file in /etc if the XUL extension provides one or more preferences files in defaults/preferences. The configuration file contains only a description where to find the overridable preferences. debian/package.js is used as configuration file instead if it exists. The placeholder @INSTALLDIR@ is replaces by the actual installation directory. You can disable the creation of a system configuration file with --disable-system-prefs.

OPTIONS

--disable-system-prefs
    Do not create a system preference file in /etc.

-x file, --exclude=file
    The specified file from the xpi file will not be installed. You can use this parameter several times.

-h, --help
    Display a brief help message.

-i directory, --install-dir=directory
    The xpi file will be installed in the specified directory. directory must be an absolute path. Use this parameter with care.

-l directory, --link=directory
    An additional link from the directory to the installation directory of the extension will be created. You can use this parameter several times.

-p package, --package=package
    The xpi file will be installed in the specified binary package. If this parameter is not provided, the first binary package listed in debian/control will be used.

--preserve-permissions
    The permissions of the files in the xpi file will not be modified. If this parameter is not provided, install-xpi will try to correct the permissions of the files to 644 (files that starts with a shebang will be corrected to 755).

-r, --remove-license-files
    Files with names like copying, licence, or license will not be installed.

-v, --verbose
    Print more information.

AUTHOR
Benjamin Drung <bdrung@debian.org>